create view qx_user_roles as
select distinct r.role_id, u.user_id
  from qx_role r, qx_role_to_users u
  where r.role_id = u.role_id
union all
select r.role_id, g.employeegroup 
  from qx_role r, qx_workgroup_to_role wr, qx_groupmember g
  where r.role_id = wr.role_id 
    and wr.workgroup_id = g.workgroupgroup
go  

UPDATE QX_SYS_PROP SET PROP_VAL = '043' WHERE (PROP_ID = 'DB_CORE_VERSION');
go